Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.objects
Class XNodeSetForDOM

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.objects.XObject
                  |
                  +--weblogic.apache.xpath.objects.XNodeSet
                        |
                        +--weblogic.apache.xpath.objects.XNodeSetForDOM

public class XNodeSetForDOM
extends XNodeSet

This class overrides the XNodeSet#object() method to provide the original Node object, NodeList object, or NodeIterator.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.objects.XNodeSet
`m_dtmMgr`

Fields inherited from class weblogic.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE, m_obj`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`XNodeSetForDOM(org.w3c.dom.Node node, weblogic.apache.xml.dtm.DTMManager dtmMgr)`
`XNodeSetForDOM(org.w3c.dom.traversal.NodeIterator nodeIter, XPathContext xctxt)`
`XNodeSetForDOM(org.w3c.dom.NodeList nodeList, XPathContext xctxt)`

Method Summary
`org.w3c.dom.NodeList` | `nodelist()` Cast result object to a nodelist.
`org.w3c.dom.traversal.NodeIterator` | `nodeset()` Cast result object to a nodelist.
`java.lang.Object` | `object()` Return the original DOM object that the user passed in.

Methods inherited from class weblogic.apache.xpath.objects.XNodeSet
`allowDetachToRelease, appendToFsb, bool, boolWithSideEffects, compare, detach, dispatchCharactersEvents, equals, getDTMMgr, getNumberFromNode, getStringFromNode, getType, getTypeString, greaterThan, greaterThanOrEqual, iter, iterRaw, lessThan, lessThanOrEqual, mutableNodeset, notEquals, num, numWithSideEffects, str, xstr`

Methods inherited from class weblogic.apache.xpath.objects.XObject
`castToType, create, create, destruct, error, error, execute, fixupVariables, rtf, rtf, rtree, rtree, toString`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XNodeSetForDOM

    public XNodeSetForDOM(org.w3c.dom.Node node,
                          weblogic.apache.xml.dtm.DTMManager dtmMgr)

### XNodeSetForDOM

    public XNodeSetForDOM(org.w3c.dom.NodeList nodeList,
                          XPathContext xctxt)

### XNodeSetForDOM

    public XNodeSetForDOM(org.w3c.dom.traversal.NodeIterator nodeIter,
                          XPathContext xctxt)

Method Detail

### object

    public java.lang.Object object()

  Return the original DOM object that the user passed in. For use primarily by the extension mechanism.

  Returns:
    The object that this class wraps
  Overrides:
    object in class XObject

### nodeset

    public org.w3c.dom.traversal.NodeIterator nodeset()
                                               throws javax.xml.transform.TransformerException

  Cast result object to a nodelist. Always issues an error.

  Returns:
    null
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    nodeset in class XNodeSet

### nodelist

    public org.w3c.dom.NodeList nodelist()
                                  throws javax.xml.transform.TransformerException

  Cast result object to a nodelist. Always issues an error.

  Returns:
    null
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    nodelist in class XNodeSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference